package com.securitycontrol.common.log.enums;

/**
 * @author HeiZi
 */

public enum OperationType {

    /**
     * 注释
     */
    ADD_SYS("新增"),
    UPDATE_SYS("修改"),
    DELETE_SYS("删除"),
    QUERY_SYS("查询"),
    RESET_USER_PWD("修改"),
    COPY_LOG("备份"),
    RETURN_LOG("恢复日志"),
    ERR_SYS("错误日志"),
    EXCEEDS_ACCESS("越权访问"),
    USER_LOGIN("用户登录"),
    USER_LOGOUT("用户退出"),
    WARNING_LOG("告警日志"),
    SESSION_TIMEOUT("会话超时"),
    CONNECT_TIMEOUT("链接超时"),

    /**
     * 业务数据
     */
    QUERY_BUSINESS("查询"),
    ADD_BUSINESS("新增"),
    DELETE_BUSINESS("删除"),
    UPDATE_BUSINESS("修改"),
    EXPORT_BUSINESS("导出"),
    IMPORT_BUSINESS("导入"),
    DOWNLOAD_BUSINESS("下载"),
    START_PROJECT("系统启动"),
    ;

    private final String info;

    OperationType(String info) {
        this.info = info;
    }


    public String getInfo() {
        return info;
    }
}
